aboutsummaryrefslogtreecommitdiffstats
path: root/resources/bin
diff options
context:
space:
mode:
authoryangyan <yangyanyj@chinamobile.com>2019-03-25 15:01:42 +0800
committeryangyan <yangyanyj@chinamobile.com>2019-03-25 15:01:58 +0800
commit6ac6fa2ab9c44ce965f24435b2429421132bf5d1 (patch)
tree13727282f045d344946e1c5fb61a742fae13bdbf /resources/bin
parent7b731ee2dce023f0a5fa922b0ce13d3f2493f18a (diff)
change the way of create database
Change-Id: Ib75b63ebea6f444e66b1c3d5f98e5dfed058f976 Issue-ID: VFC-1312 Signed-off-by: yangyan <yangyanyj@chinamobile.com>
Diffstat (limited to 'resources/bin')
-rw-r--r--resources/bin/initDB.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/resources/bin/initDB.sh b/resources/bin/initDB.sh
new file mode 100644
index 00000000..13c0f2ca
--- /dev/null
+++ b/resources/bin/initDB.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright 2018 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+######
+#test for vfc-db
+######
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+MYSQL_USER=$1
+MYSQL_PASSWORD=$2
+MYSQL_PORT=$3
+MYSQL_IP=$4
+echo "start create vfcnfvolcm db"
+sql_path=$HOME/../
+mysql -u$MYSQL_USER -p$MYSQL_PASSWORD -P$MYSQL_PORT -h$MYSQL_IP <$sql_path/dbscripts/mysql/vfc-nfvo-lcm-createdb.sql
+sql_result=$?
+if [ $sql_result -ne 0 ] ; then
+ echo "failed to create vfcnfvolcm database"
+ exit 1
+elif [ $sql_result -eq 0 ]; then
+ echo "create vfcnfvolcm database successfully"
+ exit 0
+fi
+